# Class CIM_ProductComponent
extends CIM_Component

The CIM_ProductComponent association defines a containment and component relationship among Products. For example, a Product may come bundled with other Products. Note that this association duplicates ProductParentChild. The latter association is maintained for legacy reasons. This association, ProductComponent, is added for ease of query and modeling consistency. Using ProductComponent, an application can query for all Component relationships for a Product, versus querying the various Component relationships AND ProductParentChild.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ProductComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Deprecated | string | CIM_ConcreteComponent

Description

string

The CIM_ProductComponent association defines a containment and component relationship among Products. For example, a Product may come bundled with other Products. Note that this association duplicates ProductParentChild. The latter association is maintained for legacy reasons. This association, ProductComponent, is added for ease of query and modeling consistency. Using ProductComponent, an application can query for all Component relationships for a Product, versus querying the various Component relationships AND ProductParentChild.

UMLPackagePath | string | CIM::Core::ProductFRU
Version | string | 2.15.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ProductComponent | CIM_Product
PartComponent | CIM_ProductComponent | CIM_Product

## Class Methods